## thunderbird 52.5.2

=== mozilla/testing/mozharness/requirements.txt ===
# These packages are needed for mozharness unit tests.
# Output from 'pip freeze'; we may be able to use other versions of the below packages.
Cython==0.14.1
Fabric==1.6.0
coverage==3.6
distribute==0.6.35
dulwich==0.8.7
hg-git==0.4.0
logilab-astng==0.24.2
logilab-common==0.59.0
mercurial==3.7.3
mock==1.0.1
nose==1.2.1
ordereddict==1.1
paramiko==1.10.0
pycrypto==2.6
pyflakes==0.6.1
pylint==0.27.0
simplejson==2.1.1
unittest2==0.5.1
virtualenv==1.5.1
wsgiref==0.1.2
urllib3==1.9.1
google-api-python-client==1.5.1
oauth2client==1.4.2

=== mozilla/testing/marionette/client/requirements.txt ===
mozrunner >= 6.13
mozversion >= 1.1

=== debian/changelog ===
thunderbird (1:52.5.2-2~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security
  
 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 26 Dec 2017 20:18:01 +0100

thunderbird (1:52.5.2-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [f597157] Revert "d/thunderbird.postinst: reload AA profile on updates"
              The trigger automatics for appamor already is handling the
              needed reload on profile updates for the applications.
              (Closes: #885158)
  * [8ebdb96] debian/control: increase Standards-Version to 4.1.2
              No further changes needed.
  * [81a8c00] use inverse logic on version for AA profile status check
              By this change we don't enforce the disabled profile from the
              previous version in some cases and can also handle possible
              version strings from -security and -backports.
              (Closes: #885157)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 26 Dec 2017 14:56:40 +0100

thunderbird (1:52.5.2-1) unstable; urgency=high

  [ intrigeri ]
  * [b791221] AppArmor: support new thunderbird executable path
    (Closes: #883561, #884217)

  [ Carsten Schoenert ]
  * [1f46308] New upstream version 52.5.2
    Fixed CVE issues in upstream version 52.5 (MFSA 2017-30)
    CVE-2017-7829: Mailsploit part 1: From address with encoded null character
                   is cut off in message header display
    CVE-2017-7846: JavaScript Execution via RSS in mailbox:// origin
    CVE-2017-7847: Local path string can be leaked from RSS feed
    CVE-2017-7848: RSS Feed vulnerable to new line Injection
  * [0dd21b9] d/thunderbird.postinst: reload AA profile on updates
  * [8c57218] don't disable AA profile on package updates
              As people want to re-enable the AA profile a update of
              thunderbird doesn't have to disable this again.
              (Closes: #884191)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 24 Dec 2017 11:30:09 +0100

thunderbird (1:52.5.0-1~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security

  * [9fb0603] Revert "[buster] tb-wrapper: searching the correct dbgsym package"
  * [3ba70b8] Revert "[buster] move thunderbird-dbg into *-dbgsym package"
  * [b16725e] Revert "[buster] remove Replace and Breaks for icedove"
  * [9cf7315] Revert "[buster] remove transitional icedove package"
  * [a1b62c0] Revert "[buster] remove Replace, Breaks and Provides for icedove-dev"
  * [435f016] Revert "[buster] remove transitional icedove-dev package"
  * [43c5ec2] Revert "[buster] remove transitional icedove-dbg package"
  * [f014c58] Revert "[buster] remove Replace, Breaks and Provides for iceowl-extension"
  * [5db94a1] Revert "[buster] remove transitional iceowl-extension package"
  * [2860355] Revert "[buster] remove Replace, Breaks and Provides for icedove-l10n-*"
  * [f148d56] Revert "[buster] remove transitional icedove-l10n-* packages"
  * [b7debd2] Revert "[buster] remove Replace, Breaks and Provides for iceowl-l10n-*"
  * [e89d082] Revert "[buster] remove transitional iceowl-l10n-* packages"

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 07 Dec 2017 19:40:47 +0100

=== debian/control ===
Source: thunderbird
Section: mail
Priority: optional
Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders:
 Christoph Goehre <chris@sigxcpu.org>,
Build-Depends:
 autoconf2.13,
 bash-completion,
 bzip2,
 debhelper (>= 9.20160814~),
 dh-apparmor,
 dh-exec,
 dpkg (>= 1.16.18~),
 dpkg-dev (>= 1.16.18~),
 gcc-6,
 g++-6,
 libasound2-dev [linux-any],
 libatk-adaptor,
 libbz2-dev,
 libcairo2-dev (>= 1.10.2-1.1~),
 libdbus-glib-1-dev (>= 0.60),
 libevent-dev (>= 1.4.1),
 libffi-dev,
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.22.0),
 libglib2.0-dev,
 libgtk2.0-dev,
 libgtk-3-dev (>= 3.4),
 libhunspell-dev (>= 1.2),
 libjsoncpp-dev,
 libidl-dev (>= 0.8.0),
 libiw-dev [linux-any],
 libnotify-dev,
 libpng-dev,
 libpulse-dev,
 libreadline-dev,
 libstartup-notification0-dev,
 libvpx-dev (>= 1.5.0),
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxft-dev,
 libxt-dev,
 mesa-common-dev,
 mozilla-devscripts,
 python-minimal (>= 2.6.6-13~),
 python-ply,
 python2.7,
 unzip,
 yasm (>= 1.1),
 zip,
 zlib1g-dev,
Vcs-Git: https://anonscm.debian.org/cgit/pkg-mozilla/thunderbird.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozilla/thunderbird.git
Homepage: http://www.mozilla.org/thunderbird/
X-Debian-Homepage: http://wiki.debian.org/Thunderbird
Standards-Version: 4.1.2

Package: thunderbird
Architecture: any
Depends:
 debianutils (>= 1.16),
 fontconfig,
 psmisc,
 x11-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lightning (= ${binary:Version}),
 myspell-en-us | hunspell-dictionary | myspell-dictionary,
Suggests:
 apparmor,
 fonts-lyx,
 libgssapi-krb5-2,
 ${gnome:Depends},
Provides:
 mail-reader,
 icedove,
Xb-Xul-AppId: {3550f703-e582-4d05-9a08-453d09bdfdc6}
Replaces:
 icedove (<< 1:45.6.0-2.1~),
Breaks:
 icedove (<< 1:45.6.0-2.1~),
 enigmail (<< 2:1.9.8.1-1~),
 hunspell-ar (<< 0.0.0+20080110-1.1),
 hunspell-da (<< 1:3.1.0-3),
 hunspell-de-at (<< 20071211-2),
 hunspell-de-ch (<< 20071211-2),
 hunspell-de-de (<< 20071211-2),
 hunspell-de-med (<< 20090825-1),
 hunspell-en-ca (<< 1:3.1.0-3),
 hunspell-en-us (<< 20070829-3),
 hunspell-fr (<< 1:3.1.0-3),
 hunspell-gl-es (<< 2.2a-6),
 hunspell-hu (<< 1:3.1.0-3),
 hunspell-ko (<< 0.3.3-1),
 hunspell-ne (<< 1:3.1.0-3),
 hunspell-se (<< 1.0~beta6.20081222-1.1),
 hunspell-sh (<< 1:3.1.0-3),
 hunspell-sr (<< 1:3.1.0-3),
 hunspell-uz (<< 0.6-3.1),
 hunspell-vi (<< 1:3.1.0-3),
 lightning (<< ${binary:Version}),
 myspell-af (<< 1:3.1.0-3),
 myspell-ca (<< 0.6-8),
 myspell-cs-cz (<< 20040229-4.1),
 myspell-da (<< 1.6.18-1.1),
 myspell-de-at (<< 20071211-2),
 myspell-de-ch (<< 20071211-2),
 myspell-de-de (<< 20071211-2),
 myspell-de-de-oldspell (<< 1:2-25.1),
 myspell-el-gr (<< 0.3-1.1),
 myspell-en-au (<< 2.1-5),
 myspell-en-gb (<< 1:3.1.0-3),
 myspell-en-us (<< 1:3.1.0-3),
 myspell-en-za (<< 1:3.1.0-3),
 myspell-eo (<< 2.1.2000.02.25-41),
 myspell-es (<< 1.10-7),
 myspell-et (<< 1:20030606-12.1),
 myspell-fa (<< 0.20070816-2),
 myspell-fi (<< 0.7-17.2),
 myspell-fo (<< 0.2.36-3),
 myspell-fr (<< 1.4-25),
 myspell-fr-gut (<< 1:1.0-26.1),
 myspell-ga (<< 2.0-19),
 myspell-gd (<< 0.50-7),
 myspell-gv (<< 0.50-8),
 myspell-hr (<< 20060617-2),
 myspell-hu (<< 0.99.4-1.2),
 myspell-hy (<< 0.10.1-1.1),
 myspell-it (<< 1:3.1.0-3),
 myspell-ku (<< 0.20.0-1.1),
 myspell-lv (<< 0.7.3-3.1),
 myspell-nb (<< 2.0.10-3.1),
 myspell-ne (<< 1.0-4.1),
 myspell-nl (<< 1:1.10-3),
 myspell-nn (<< 2.0.10-3.1),
 myspell-pl (<< 20090830-1),
 myspell-pt-br (<< 2009.03.30-1.1),
 myspell-pt-pt (<< 20090309-1.1),
 myspell-ru (<< 0.99g5-8.1),
 myspell-sk (<< 0.5.5a-2.1),
 myspell-sv-se (<< 1.3.8-6-2.2),
 myspell-sw (<< 1:3.1.0-3),
 myspell-th (<< 1:3.1.0-3),
 myspell-tl (<< 0.4-0-5),
 xul-ext-compactheader (<< 2.1.0~),
 xul-ext-foxyproxy-standard (<< 4.5.6-debian-2~),
Description: mail/news client with RSS, chat and integrated spam filter support
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 The goal of Thunderbird is to produce a cross platform standalone mail
 application using the XUL user interface language.

Package: thunderbird-dev
Architecture: any
Depends:
 thunderbird (= ${binary:Version}),
 libnspr4-dev,
 libnss3-dev,
 python,
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 icedove-dev (<< 1:45.6.0-2.1~),
Breaks:
 icedove-dev (<< 1:45.6.0-2.1~),
Provides:
 icedove-dev,
Description: Development files for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 This package contains the development headers, idl files and static libraries
 needed to develop applications using Thunderbird.

Package: thunderbird-dbg
Architecture: any
Priority: extra
Section: debug
Multi-Arch: same
Depends:
 thunderbird (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 icedove-dbg (<< 1:45.6.0-2.1~),
Breaks:
 icedove-dbg (<< 1:45.6.0-2.1~),
Provides:
 icedove-dbg,
Description: Debug Symbols for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 This package contains the debug symbols for Thunderbird. Install this package
 if you need to debug such a program or if you need a useful backtrace of a
 crash.

Package: lightning
Architecture: any
Depends:
 thunderbird (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 calendar-google-provider,
 fonts-lyx,
Provides:
 calendar-timezones,
 iceowl-extension,
Breaks:
 calendar-timezones,
 iceowl-extension (<< 1:45.6.0-2.1~),
Replaces:
 calendar-timezones,
 iceowl-extension (<< 1:45.6.0-2.1~),
Description: Calendar Extension for Thunderbird
 Lightning is a calendar extension for Thunderbird. It can handle events,
 event invitations and tasks in multiple calendars.
 .
 It supports local calendars, CalDAV and plain ics files on CardDAV and WebDAV.

Package: calendar-google-provider
Architecture: all
Depends:
 lightning (>= ${binary:Version}),
 ${misc:Depends},
Enhances:
 thunderbird,
 lightning,
Description: Google Calendar support for lightning
 This extension adds support for accessing google calendars in Thunderbird
 via lightning.
 .
 It's a recommended component if you want to connect Thunderbird to your
 Google calendar.

Package: thunderbird-l10n-all
Architecture: all
Section: metapackages
Depends:
 thunderbird-l10n-ar (>= ${binary:Version}),
 thunderbird-l10n-ast (>= ${binary:Version}),
 thunderbird-l10n-be (>= ${binary:Version}),
 thunderbird-l10n-bg (>= ${binary:Version}),
 thunderbird-l10n-bn-bd (>= ${binary:Version}),
 thunderbird-l10n-br (>= ${binary:Version}),
 thunderbird-l10n-ca (>= ${binary:Version}),
 thunderbird-l10n-cs (>= ${binary:Version}),
 thunderbird-l10n-da (>= ${binary:Version}),
 thunderbird-l10n-de (>= ${binary:Version}),
 thunderbird-l10n-dsb (>= ${binary:Version}),
 thunderbird-l10n-el (>= ${binary:Version}),
 thunderbird-l10n-en-gb (>= ${binary:Version}),
 thunderbird-l10n-es-ar (>= ${binary:Version}),
 thunderbird-l10n-es-es (>= ${binary:Version}),
 thunderbird-l10n-et (>= ${binary:Version}),
 thunderbird-l10n-eu (>= ${binary:Version}),
 thunderbird-l10n-fi (>= ${binary:Version}),
 thunderbird-l10n-fr (>= ${binary:Version}),
 thunderbird-l10n-fy-nl (>= ${binary:Version}),
 thunderbird-l10n-ga-ie (>= ${binary:Version}),
 thunderbird-l10n-gd (>= ${binary:Version}),
 thunderbird-l10n-gl (>= ${binary:Version}),
 thunderbird-l10n-he (>= ${binary:Version}),
 thunderbird-l10n-hr (>= ${binary:Version}),
 thunderbird-l10n-hsb (>= ${binary:Version}),
 thunderbird-l10n-hu (>= ${binary:Version}),
 thunderbird-l10n-hy-am (>= ${binary:Version}),
 thunderbird-l10n-id (>= ${binary:Version}),
 thunderbird-l10n-is (>= ${binary:Version}),
 thunderbird-l10n-it (>= ${binary:Version}),
 thunderbird-l10n-ja (>= ${binary:Version}),
 thunderbird-l10n-kab (>= ${binary:Version}),
 thunderbird-l10n-ko (>= ${binary:Version}),
 thunderbird-l10n-lt (>= ${binary:Version}),
 thunderbird-l10n-nb-no (>= ${binary:Version}),
 thunderbird-l10n-nl (>= ${binary:Version}),
 thunderbird-l10n-nn-no (>= ${binary:Version}),
 thunderbird-l10n-pa-in (>= ${binary:Version}),
 thunderbird-l10n-pl (>= ${binary:Version}),
 thunderbird-l10n-pt-br (>= ${binary:Version}),
 thunderbird-l10n-pt-pt (>= ${binary:Version}),
 thunderbird-l10n-rm (>= ${binary:Version}),
 thunderbird-l10n-ro (>= ${binary:Version}),
 thunderbird-l10n-ru (>= ${binary:Version}),
 thunderbird-l10n-si (>= ${binary:Version}),
 thunderbird-l10n-sk (>= ${binary:Version}),
 thunderbird-l10n-sl (>= ${binary:Version}),
 thunderbird-l10n-sq (>= ${binary:Version}),
 thunderbird-l10n-sr (>= ${binary:Version}),
 thunderbird-l10n-sv-se (>= ${binary:Version}),
 thunderbird-l10n-ta-lk (>= ${binary:Version}),
 thunderbird-l10n-tr (>= ${binary:Version}),
 thunderbird-l10n-uk (>= ${binary:Version}),
 thunderbird-l10n-vi (>= ${binary:Version}),
 thunderbird-l10n-zh-cn (>= ${binary:Version}),
 thunderbird-l10n-zh-tw (>= ${binary:Version}),
 ${misc:Depends},
Replaces:
 icedove-l10n-all (<< 1:45.6.0-2.1~),
Breaks:
 icedove-l10n-all (<< 1:45.6.0-2.1~),
Provides:
 icedove-l10n-all,
Description: All language packages for Thunderbird (meta)
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package is a metapackage depending on all available localization of
 Thunderbird.

Package: thunderbird-l10n-ar
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ar
Recommends:
 hunspell-ar,
Replaces:
 icedove-l10n-ar (<< 1:45.6.0-2.1~),
Breaks:
 icedove-l10n-ar (<< 1:45.6.0-2.1~),
Provides:
 icedove-l10n-ar,
Description: Arabic language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Arabic.

Package: thunderbird-l10n-ast
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ast
Replaces:
 icedove-l10n-ast (<< 1:45.6.0-2.1~),
Breaks:
 icedove-l10n-ast (<< 1:45.6.0-2.1~),
Provides:
 icedove-l10n-ast,
Description: Asturian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Asturian.

Package: thunderbird-l10n-be
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:be
Recommends:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# checking the release type, if $(RELEASE)=UNRELEASED we won't build
# the thunderbird-dbg package
include /usr/share/dpkg/pkg-info.mk
RELEASE := $(DEB_DISTRIBUTION)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ICU_DATA_FILE := $(shell basename mozilla/config/external/icu/data/icud*.dat)
ICU_BUILD := $(shell if ! grep -qs -e "--with-system-icu" debian/mozconfig.default; then echo YES || NO; fi)
ICU_BUILD_DIR := $(CURDIR)/obj-thunderbird/obj-icu
ICU_BUILD_CONFIGURE := --with-data-packaging=archive --enable-static --disable-shared --disable-extras --disable-icuio --disable-layout --disable-tests --disable-samples --disable-strict
ICU_BUILD_CPPFLAGS := "-DU_NO_DEFAULT_INCLUDE_UTF_HEADERS=1 -DUCONFIG_NO_LEGACY_CONVERSION -DUCONFIG_NO_TRANSLITERATION -DUCONFIG_NO_REGULAR_EXPRESSIONS -DUCONFIG_NO_BREAK_ITERATION -DU_CHARSET_IS_UTF8"

THUNDERBIRD_VERSION=$(shell tail -1 mail/config/version.txt)
DEB_AUTO_UPDATE_AUTOCONF=2.13

# build directory used for building the thunderbird-l10n files
THUNDERBIRD_L10N_BUILDDIR=debian/thunderbird-l10n-build

# build directory used for building the lightning-l10n files
LIGHTNING_L10N_BUILDDIR=debian/lightning-l10n-build
# Iceowl/Lightning version, note this is different from the TB version!
LIGHTNING_VERSION := $(shell python $(CURDIR)/calendar/lightning/build/makeversion.py ${THUNDERBIRD_VERSION})

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# currently needed as workaround for GCC-6 built
# see https://bugzilla.mozilla.org/show_bug.cgi?id=1251576
# and https://bugzilla.mozilla.org/show_bug.cgi?id=1245783#c31
CFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2 -fno-lifetime-dse
CXXFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2 -fno-lifetime-dse

export CC=gcc-6
export CXX=g++-6

# special CFLAGS for various platforms
ifeq ($(DEB_BUILD_ARCH),armel)
	CFLAGS += -D__ARM_PCS
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--no-keep-memory -Wl,--reduce-memory-overheads

# Add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

export MOZ_BUILD_DATE := $(SOURCE_DATE_EPOCH)
export BUILD_DATE := $(shell dpkg-parsechangelog --show-field=Date)
export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
export MOZILLA_OFFICIAL=1
export DEB_BUILD_GNU_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_OPTIONS
# Some Debian build tools clear out some variables
export SHELL=/bin/bash

%:
	dh $@

build:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --builddirectory=obj-thunderbird
	# needed for thunderbird-l10n
	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)
	# needed for lightning-l10n
	rm -rf $(LIGHTNING_L10N_BUILDDIR)

override_dh_auto_configure:
	# run autoconf for all configure files
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/configure ]; then \
		cd $(CURDIR) && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/mozilla/configure ]; then \
		cd $(CURDIR)/mozilla && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/mozilla/js/src/configure ]; then \
		cd $(CURDIR)/mozilla/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	# copy the mozconfig files
	cp debian/mozconfig.* .
	cp debian/mozconfig.default mozilla/
	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
	@echo "rebuild ICU data file needed: $(ICU_BUILD)"
ifeq ($(ICU_BUILD),YES)
	#####################################################################
	# (re)build upstream icudt5*.dat due disabled usage of system files #
	#####################################################################
	rm -f $(CURDIR)/mozilla/config/external/icu/data/$(ICU_DATA_FILE)
	mkdir -p $(ICU_BUILD_DIR)
	cd $(ICU_BUILD_DIR) ;\
		$(CURDIR)/mozilla/intl/icu/source/configure $(ICU_BUILD_CONFIGURE) CPPFLAGS=$(ICU_BUILD_CPPFLAGS) ;\
		$(MAKE) VERBOSE=1 -j$(NUMJOBS)
	@ICU_DATA_FILE_CREATED=$$(basename $(ICU_BUILD_DIR)/data/out/icud*.dat) ;\
	test -f $(ICU_BUILD_DIR)/data/out/$$ICU_DATA_FILE_CREATED && cp $(ICU_BUILD_DIR)/data/out/$$ICU_DATA_FILE_CREATED $(CURDIR)/mozilla/config/external/icu/data ;\
	echo "created new ICU_DATA_FILE in $(CURDIR)/mozilla/config/external/icu/data/$$ICU_DATA_FILE_CREATED"
endif
	# configure the various build settings
	# thunderbird, thunderbird-dev, calendar-google-provider, lightning
	DIST= make -f client.mk configure

override_dh_auto_build:
	# building the stuff
	make -f client.mk build
	# build thunderbird-l10n
	mkdir -p $(THUNDERBIRD_L10N_BUILDDIR)
	cd $(CURDIR)/thunderbird-l10n; \
	for XPI in *; do \
		LOCALE=`basename $${XPI}`; \
		xpi-pack $${LOCALE} ../$(THUNDERBIRD_L10N_BUILDDIR)/$${LOCALE}.xpi; \
	done
	# build lightning-l10n
	mkdir -p $(LIGHTNING_L10N_BUILDDIR)
	cd $(CURDIR)/lightning-l10n; \
	for dir in ?? ??? ??-*; do \
		cd $${dir}; \
		zip -q -X -r ../../$(LIGHTNING_L10N_BUILDDIR)/$${dir}.jar locale; \
		cd -; \
	done
	rm -rf $(LIGHTNING_L10N_BUILDDIR)/en-US.jar

override_dh_auto_install:
ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
	sed -i '/"javascript.options.\(baselinejit\|ion\)"/s/true/false/' obj-thunderbird/dist/bin/greprefs.js
endif
	make -f client.mk install DESTDIR=$(CURDIR)/debian/tmp
	# install thunderbird-l10n
	cd $(CURDIR)/thunderbird-l10n; \
	for DIRECTORY in *; do \
		LOCALE=`echo $${DIRECTORY} | tr [:upper:] [:lower:]`; \
		ID=`cat $${DIRECTORY}/install.rdf | sed --posix '/em:id=/!d;s/[ ]*em:id="//;s/".*//'`; \
		install -D -m 644 ../$(THUNDERBIRD_L10N_BUILDDIR)/$${DIRECTORY}.xpi $(CURDIR)/debian/thunderbird-l10n-$${LOCALE}/usr/share/thunderbird/extensions/$${ID}.xpi; \
		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${LOCALE}/usr/lib/thunderbird/extensions; \
		ln -sf /usr/share/thunderbird/extensions/$${ID}.xpi $(CURDIR)/debian/thunderbird-l10n-$${LOCALE}/usr/lib/thunderbird/extensions/$${ID}.xpi; \
	done
	# install lightning-l10n
	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \
		mkdir -p $(CURDIR)/debian/lightning-l10n-$${locale}/usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/chrome; \
		install -m 644 $${jar} $(CURDIR)/debian/lightning-l10n-$${locale}/usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/chrome/; \
	done
	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \
		mkdir -p $(CURDIR)/debian/lightning-l10n-$${locale}/usr/lib/lightning/extensions/; \
		ln -sf /usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/ \
			$(CURDIR)/debian/lightning-l10n-$${locale}/usr/lib/lightning/extensions/langpack-$${locale}@lightning.debian.org; \
		mkdir -p $(CURDIR)/debian/lightning-l10n-$${locale}/usr/lib/thunderbird/extensions/; \
		ln -sf /usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/ \
			$(CURDIR)/debian/lightning-l10n-$${locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@lightning.debian.org; \
	done
	# install lightning-l10n; install.rdf
	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \
		sed -e s"/##LOCALE##/$${locale}/" -e s",##VERSION##,$(LIGHTNING_VERSION)," \
			debian/lightning-l10n-install.rdf.in \
			> $(CURDIR)/debian/lightning-l10n-$${locale}/usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/install.rdf; \
	done
	# install lightning-l10n; chrome.manifest
	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
		lang=`basename $${jar} .jar`; \
		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \

## thunderbird 52.6.0

=== debian/changelog ===
thunderbird (1:52.6.0-1~deb8u1) jessie-security; urgency=medium

  [ Vincas Dargis ]
  * [e418a50] AppArmor: Fix Jessie AppArmor syntax error (Closes: #884217)

  [ Carsten Schoenert ]
  * [edba169] debian/rules: override target dh_autoreconf
     Don't use dh_autoreconf, Mozilla uses wrapper around the autotools and we
     care about the needed files in debian/rules for long time anyway.
  * Rebuild for jessie-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 28 Jan 2017 05:43:10 +0100

thunderbird (1:52.6.0-1) unstable; urgency=high

  * [97e1cd7] New upstream version 52.6.0
    Fixed CVE issues in upstream version 52.6 (MFSA 2018-04)
    CVE-2018-5095: Integer overflow in Skia library during edge builder
                   allocation
    CVE-2018-5096: Use-after-free while editing form elements
    CVE-2018-5097: Use-after-free when source document is manipulated
                   during XSLT
    CVE-2018-5098: Use-after-free while manipulating form input elements
    CVE-2018-5099: Use-after-free with widget listener
    CVE-2018-5102: Use-after-free in HTML media elements
    CVE-2018-5103: Use-after-free during mouse event handling
    CVE-2018-5104: Use-after-free during font face manipulation
    CVE-2018-5117: URL spoofing with right-to-left text aligned left-to-right
    CVE-2018-5089: Memory safety bugs fixed in Firefox 58, Firefox ESR 52.6,
                   and Thunderbird 52.6
  * [0300242] rebuild patch queue from patch-queue branch
     Added patch debian-hacks/icu-use-locale.h-instead-of-xlocale.h.patch
     that fixes the build of the included ICU source against glibc 2.26.
     (Closes: #887766)
  * [4bf22e0] debian/control: increase Standards-Version to 4.1.3
     No further changes needed.
  * [3616443] adjust Vcs fields to salsa.debian.org
     The Vcs for Thunderbird packaging live now on Salsa as Alioth will be
     shutdown in the future.
  * [c2f3e14] lintian: ignore non multiarch install folder for thunderbird.pc
     Ignore a lintian warning about unavailable pkg-config file thunderbird.pc
      as the ESR versions 52.x are the last series which will have a
      thunderbird-dev. The next ESR version will be 60.x which uses
      webextension and makes thunderbird-dev obsolete.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 25 Jan 2018 20:21:10 +0100

thunderbird (1:52.5.2-2~deb8u1) jessie-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for jessie-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 26 Dec 2017 17:03:10 +0100

thunderbird (1:52.5.0-1~deb8u1) jessie-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for jessie-security

  * [d07b29f] Revert "[buster] tb-wrapper: searching the correct dbgsym package"
  * [6bd3655] Revert "[buster] move thunderbird-dbg into *-dbgsym package"
  * [5f1fa71] Revert "[buster] remove Replace and Breaks for icedove"
  * [17d9c31] Revert "[buster] remove transitional icedove package"
  * [c194e27] Revert "[buster] remove Replace, Breaks and Provides for icedove-dev"
  * [1118358] Revert "[buster] remove transitional icedove-dev package"
  * [14fefb8] Revert "[buster] remove transitional icedove-dbg package"
  * [d1f914b] Revert "[buster] remove Replace, Breaks and Provides for iceowl-extension"
  * [6f70669] Revert "[buster] remove transitional iceowl-extension package"
  * [d3976d0] Revert "[buster] remove Replace, Breaks and Provides for icedove-l10n-*"
  * [cb2c710] Revert "[buster] remove transitional icedove-l10n-* packages"
  * [7df3bd7] Revert "[buster] remove Replace, Breaks and Provides for iceowl-l10n-*"
  * [62617ed] Revert "[buster] remove transitional iceowl-l10n-* packages"

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 06 Dec 2017 20:09:21 +0100

thunderbird (1:52.4.0-1~deb8u1) jessie-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for jessie-security

  [ Guido Günther ]
  * [da3c5cc] Simplify endianness selection for ICU
              Since we need to build ICU on the various Debian releases we
              need to ensure the architecture detection isn't to strict.
              Thanks Guido for helping out here!

  [ Carsten Schoenert ]
  * [47748ca] debian/control: be more relaxed on Breaks for enigmail
  * [6a54666] thunderbird-wrapper: fix small typo in help output
              A small typo was happen in the example call with the JS console.
  * [6d5266e] README.Debian: update info around tls fallback-limit
              The default behavior on the TLS fallback has changed some
              versions ago, document this accordingly.
  * [24ad883] debian/control: change maintainer
              Thanks Christoph for the work over the past years!
  * [c78200e] debian/control: move src pkg name to thunderbird
              By this version we move the source package name also back to
              thunderbird. This follows the changes that are already made to
              the binary package names and we can call the source package now
              also again thunderbird.
              (Closes: #857075)
  * [c26133d] debian/gbp.conf: rename components to real used names
              Due the changes of the source package the names for the
              sub-folders within the additional tarballs can also be changed
              to be closer on the real upstream used names.
  * [a5ce4f7] New upstream version 52.4.0
    (Closes: #878845, #878870)
    Fixed CVE issues in upstream version 52.4 (MFSA 2017-23)
    CVE-2017-7793: Use-after-free with Fetch API
    CVE-2017-7818: Use-after-free during ARIA array manipulation
    CVE-2017-7819: Use-after-free while resizing images in design mode
    CVE-2017-7824: Buffer overflow when drawing and validating elements with
                   ANGLE
    CVE-2017-7805: Use-after-free in TLS 1.2 generating handshake hashes
    CVE-2017-7814: Blob and data URLs bypass phishing and malware protection
                   warnings


=== debian/control ===
--- 
+++ 
@@ -8,13 +8,11 @@
  autoconf2.13,
  bash-completion,
  bzip2,
- debhelper (>= 9.20160814~),
+ debhelper (>= 9.20150101~),
  dh-apparmor,
  dh-exec,
  dpkg (>= 1.16.18~),
  dpkg-dev (>= 1.16.18~),
- gcc-6,
- g++-6,
  libasound2-dev [linux-any],
  libatk-adaptor,
  libbz2-dev,
@@ -36,7 +34,6 @@
  libpulse-dev,
  libreadline-dev,
  libstartup-notification0-dev,
- libvpx-dev (>= 1.5.0),
  libx11-dev,
  libx11-xcb-dev,
  libxau-dev,
@@ -51,11 +48,11 @@
  yasm (>= 1.1),
  zip,
  zlib1g-dev,
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-mozilla/thunderbird.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozilla/thunderbird.git
+Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git
+Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird
 Homepage: http://www.mozilla.org/thunderbird/
 X-Debian-Homepage: http://wiki.debian.org/Thunderbird
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 
 Package: thunderbird
 Architecture: any
@@ -381,3 +378,5 @@
  ${misc:Depends},
 Homepage: https://wiki.mozilla.org/L10n:Teams:be
 Recommends:
+ hunspell-be,
+Replaces:

=== debian/rules ===
--- 
+++ 
@@ -37,11 +37,8 @@
 # currently needed as workaround for GCC-6 built
 # see https://bugzilla.mozilla.org/show_bug.cgi?id=1251576
 # and https://bugzilla.mozilla.org/show_bug.cgi?id=1245783#c31
-CFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2 -fno-lifetime-dse
-CXXFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2 -fno-lifetime-dse
-
-export CC=gcc-6
-export CXX=g++-6
+CFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2
+CXXFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2
 
 # special CFLAGS for various platforms
 ifeq ($(DEB_BUILD_ARCH),armel)
@@ -71,6 +68,8 @@
 
 build:
 	dh $@
+
+override_dh_autoreconf:
 
 override_dh_auto_clean:
 	dh_auto_clean --builddirectory=obj-thunderbird
@@ -169,3 +168,4 @@
 	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
 		lang=`basename $${jar} .jar`; \
 		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \
+			sed -e s"/##LANG##/$${lang}/g" \

## thunderbird 52.7.0

=== debian/changelog ===
thunderbird (1:52.7.0-1~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 27 Mar 2018 17:20:58 +0200

thunderbird (1:52.7.0-1) unstable; urgency=medium

  * [9eb2692] New upstream version 52.7.0
    Fixed CVE issues in upstream version 52.7 (MFSA 2018-09)
    CVE-2018-5127: Buffer overflow manipulating SVG animatedPathSegList
    CVE-2018-5129: Out-of-bounds write with malformed IPC messages
    CVE-2018-5144: Integer overflow during Unicode conversion
    CVE-2018-5146: Out of bounds memory write in libvorbis
    CVE-2018-5125: Memory safety bugs fixed in Firefox 59, Firefox ESR 52.7,
                   and Thunderbird 52.7
    CVE-2018-5145: Memory safety bugs fixed in Firefox ESR 52.7 and
                   Thunderbird 52.7
  * [a01cf4b] Revert "Use gcc-6 and g++-6 due broken GUI with GCC-7"
     Switching now back to GCC7 as we don't have any longer issues with
     broken visuals in the GUI.
     (Closes: #892404)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 26 Mar 2018 17:21:40 +0200

thunderbird (1:52.6.0-1~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 28 Jan 2018 08:05:28 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  autoconf2.13,
  bash-completion,
  bzip2,
- debhelper (>= 9.20150101~),
+ debhelper (>= 9.20160814~),
  dh-apparmor,
  dh-exec,
  dpkg (>= 1.16.18~),
@@ -34,6 +34,7 @@
  libpulse-dev,
  libreadline-dev,
  libstartup-notification0-dev,
+ libvpx-dev (>= 1.5.0),
  libx11-dev,
  libx11-xcb-dev,
  libxau-dev,

=== debian/rules ===
--- 
+++ 
@@ -37,8 +37,8 @@
 # currently needed as workaround for GCC-6 built
 # see https://bugzilla.mozilla.org/show_bug.cgi?id=1251576
 # and https://bugzilla.mozilla.org/show_bug.cgi?id=1245783#c31
-CFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2
-CXXFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2
+CFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2 -fno-lifetime-dse
+CXXFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2 -fno-lifetime-dse
 
 # special CFLAGS for various platforms
 ifeq ($(DEB_BUILD_ARCH),armel)
@@ -68,8 +68,6 @@
 
 build:
 	dh $@
-
-override_dh_autoreconf:
 
 override_dh_auto_clean:
 	dh_auto_clean --builddirectory=obj-thunderbird
@@ -168,4 +166,3 @@
 	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
 		lang=`basename $${jar} .jar`; \
 		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \
-			sed -e s"/##LANG##/$${lang}/g" \
